package lectura_ficheros;

import java.awt.*;
import java.awt.event.ActionEvent;
import java.awt.event.ActionListener;
import java.io.IOException;

import javax.swing.JButton;
import javax.swing.JFileChooser;
import javax.swing.JFrame;
import javax.swing.JLabel;
import javax.swing.JPanel;
import javax.swing.JTextField;

public class PanelOpciones extends JPanel implements ActionListener{

	 /**
	 * 
	 */
	private static final long serialVersionUID = 1L;
	
	JFrame frame;
	GridBagLayout gridbag;
	
	JTextField tf1,tf2,tf3,tf4;
	JButton b1,b2,b3;

	public PanelOpciones (String nombre_panel, String obj_estudio, String unids, String data, String lugar) {
		
		super (new GridBagLayout());
		gridbag = new GridBagLayout();
		
        frame = new JFrame(nombre_panel);
        frame.setDefaultCloseOperation(JFrame.EXIT_ON_CLOSE);
        
    	//etiquetas
        JLabel etiq1 = new JLabel( "Objeto de estudio:" );
        JLabel etiq2 = new JLabel( "Unidades:" );
        JLabel etiq3 = new JLabel( "Fecha:" );
        JLabel etiq4 = new JLabel( "Lugar:" );

        //campos de texto
        tf1 = new JTextField(60);
        tf2 = new JTextField(60);
        tf3 = new JTextField(60);
        tf4 = new JTextField(60);
        
        //Rellenar los campos de texto con los datos apropiados
        //campos de texto
        tf1.setText(obj_estudio);
        tf2.setText(unids);
        tf3.setText(data);
        tf4.setText(lugar);
        
        //botones
        b1 = new JButton( "Cargar datos" );
        b1.addActionListener(this);
        
        setLayout( gridbag );
        
        //aadimos los componentes a "frame" para formar el JPanel
        addComponente( etiq1, 0,0,1,1 );
        addComponente( tf1, 2,0,1,1 );
        addComponente( etiq2, 0,1,1,1);
        addComponente( tf2, 2,1,1,1);
        addComponente( etiq3, 0,2,1,1);
        addComponente( tf3, 2,2,1,1);
        addComponente( etiq4, 0,3,1,1);
        addComponente( tf4, 2,3,1,1);
        addComponente( b1, 2,4,1,1);
        


        //Add content to the window.
        frame.add(this);

        //Display the window.
        frame.pack();
        frame.setVisible(true);
        
        }
    
    void addComponente( Component comp, int gridx, int gridy, int gridw, int gridh ) {
        GridBagConstraints gbc = new GridBagConstraints();
        gbc.gridx = gridx;
        gbc.gridy = gridy;
        gbc.gridwidth = gridw;
        gbc.gridheight = gridh;
        gridbag.setConstraints( comp,gbc );
        this.add( comp );
    }

	public void actionPerformed(ActionEvent e) {
    	//TODO hacer que los botones se pulsen con el intro tambien
		//TODO ver que no se anhaden datos incoherentes. Mismas fecha y lugar y diferentes valores
		if (e.getSource() == b1) {
        	String obj_estudio = new String (tf1.getText());
        	String unids = new String (tf2.getText());
        	String data = new String (tf3.getText());
        	String lugar = new String (tf4.getText());
        	
        	System.out.println(obj_estudio);
        	System.out.println(unids);
        	System.out.println(data);
        	System.out.println(lugar);
        	
        	frame.hide();
     
        }
	}
}
