package lectura_ficheros;

import java.io.File;
import java.io.IOException;
enum FileType {xls, csv, txt, error}

public class FicheroDatos {

	private String rutaArchivo = null;
	private String nombreArchivo = null;
	private FileType extensionArchivo = null;	//sin '.'
	
	/**
	 * 
	 * @param ruta
	 * @return Objeto FicheroDatos
	 */
	//public FicheroDatos(String ruta, char separador){
	public FicheroDatos(File fichero, char separador){
		rutaArchivo = fichero.getAbsolutePath();
		nombreArchivo = fichero.getName();
		extensionArchivo = convertirTipoArchivoAEnum (nombreArchivo.substring(nombreArchivo.lastIndexOf(".")+1));
		
	} 
	
	/**
	 * 
	 * @param extension
	 * @return tipo enum correspondiente a <a>extension
	 */
	private FileType convertirTipoArchivoAEnum (String extension){
		if (extension.equals("xls"))
			return FileType.xls;
		else if (extension.equals("csv"))
			return FileType.csv;
		else if (extension.equals("txt"))
			return FileType.txt;
		else
			return FileType.error;
		
		
	}
	//TODO ver los lugares. MArcar donde estan los datos?? como encontrarlos sin ser un desastre
	public void leerFicheroDatos(String fichero, char separador, int num_linea_objeto_de_estudio, int num_linea_unidades, int num_linea_fecha) throws IOException{
		switch (extensionArchivo){
			
		case xls:	//fichero tabular
			FicheroTabular ft = new FicheroTabular (fichero, separador, num_linea_objeto_de_estudio, num_linea_unidades, num_linea_fecha);
			try {
					ft.leerMetadatosdeFTabular();
				} catch (IOException e) {
					e.printStackTrace();
				}
			//TODO leer fichero
			break;
			
		case csv:
			//TODO leer fichero
			break;
			
		case txt:
			//TODO leer fichero
			break;
			
		default:
			//error
			//TODO manejar error
		}
		
	}
}
